package cn.com.poc.long_document.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.long_document.entity.BizLongTextSummaryCacheEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface BizLongTextSummaryCacheService extends BaseService {

    BizLongTextSummaryCacheEntity get(java.lang.Long id) throws Exception;

    List<BizLongTextSummaryCacheEntity> findByExample(BizLongTextSummaryCacheEntity example,PagingInfo pagingInfo) throws Exception;
    
    BizLongTextSummaryCacheEntity save(BizLongTextSummaryCacheEntity entity) throws Exception;

    BizLongTextSummaryCacheEntity update(BizLongTextSummaryCacheEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;
    
}